%define major 0
%define libname %mklibname gme %{major}
%define devname %mklibname -d gme

Name:       game-music-emu
Version:    0.6.3
Release:    %mkrel 2
Summary:    Game Music Emulators library
Group:      System/Libraries
License:    LGPLv2+
Url:        https://bitbucket.org/mpyne/game-music-emu
Source0:    https://bitbucket.org/mpyne/game-music-emu/downloads/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

%description
This is a collection of video game music file emulators that supports a
variety of formats and systems.

%package -n %{libname}
Group:      System/Libraries
Summary:    Game Music Emulators library

%description -n %{libname}
This is a collection of video game music file emulators that supports a
variety of formats and systems.

%package -n %{devname}
Group:      Development/C++
Summary:    Game Music Emulators development library
Requires:   %{libname} = %{version}-%{release}
Provides:   libgme-devel = %{version}-%{release}
Provides:   game-music-emu-devel = %{version}-%{release}

%description -n %{devname}
This is a collection of video game music file emulators that supports a
variety of formats and systems.

%prep
%autosetup -p1

%build
%cmake \
  -DENABLE_UBSAN=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc readme.txt gme.txt
%{_libdir}/libgme.so.%{major}{,.*}

%files -n %{devname}
%doc changes.txt design.txt
%{_includedir}/gme/
%{_libdir}/libgme.so
%{_libdir}/pkgconfig/libgme.pc


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.6.3-2.mga9
+ Revision: 1838867
- Mageia 9 Mass Rebuild

* Mon Oct 19 2020 akien <akien> 0.6.3-1.mga8
+ Revision: 1637012
- Version 0.6.3

* Mon Mar 02 2020 wally <wally> 0.6.2-4.mga8
+ Revision: 1552901
- add game-music-emu-devel provides to devel pkg

* Thu Feb 13 2020 daviddavid <daviddavid> 0.6.2-3.mga8
+ Revision: 1512746
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.6.2-2.mga7
+ Revision: 1297817
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 0.6.2-1.mga7
+ Revision: 1229365
- Version 0.6.2

* Thu Dec 15 2016 akien <akien> 0.6.1-1.mga6
+ Revision: 1075462
- Version 0.6.1
- Fix URL and Source0 for new upstream repo

* Fri Feb 05 2016 umeabot <umeabot> 0.6.0-5.mga6
+ Revision: 939868
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-4.mga5
+ Revision: 741113
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-3.mga5
+ Revision: 679403
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 534977
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 0.6.0-1.mga4
+ Revision: 480655
- new version 0.6.0

* Wed Jan 16 2013 fwang <fwang> 0.5.5-4.mga3
+ Revision: 388596
- cleanup spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 ahmad <ahmad> 0.5.5-2.mga1
+ Revision: 39735
- imported package game-music-emu


* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 0.5.5-2mdv2010.0
+ Revision: 410003
- import game-music-emu

